[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 580: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 636: sizeof(): Parameter must be an array or an object that implements Countable
ShALLaX.com Forums • emerge portage failure
Page 1 of 1

emerge portage failure

Posted: Sun Jan 18, 2009 6:55 am
by gcurtis79
Ok, please don't ignore me...

I'm not new to Gentoo, just Gentoox....

Fresh install, run magic for first time:

Code: Select all

A new version of portage is available, this will be installed now.
emerge portage...

Calculating dependencies... done!

!!! Error: the <sys-apps/portage-2.1.5 package conflicts with another package;
!!!        the two packages cannot be installed on the same system together.
!!!        Please use 'emerge --pretend' to determine blockers.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
Wondered what package conflicts: run 'emerge -p portage':

Code: Select all

Pro ~ # emerge -p portage

These are the packages that would be merged, in order:

Calculating dependencies... done!

[ebuild  N    ] app-admin/eselect-1.0.11-r1  USE="-bash-completion -doc -vim-syntax"
[ebuild     U ] sys-apps/sandbox-1.2.18.1-r2 [1.2.17]
[ebuild     U ] app-misc/pax-utils-0.1.19 [0.1.15]
[ebuild  N    ] app-admin/eselect-news-20080320
[ebuild     U ] dev-python/pycrypto-2.0.1-r6 [2.0.1-r5]
[ebuild     U ] sys-apps/portage-2.1.6.4 [2.1.2.2]
*** Portage will stop merging at this point and reload itself,
    then resume the merge.
[ebuild     U ] app-shells/bash-3.2_p39 [3.1_p17] USE="-examples% -plugins%"
[blocks B     ] <sys-apps/portage-2.1.5 (is blocking app-shells/bash-3.2_p39)
Pro ~ #
Don't know what to do now... if I remove bash, how's login gonna go? and I can't update bash because portage is blocking it.

Thanks for the nice installer, and the NET Flash is probably the best flasher I've seen yet....

-Greg C <pSy>

Re: emerge portage failure

Posted: Sun Jan 18, 2009 9:44 am
by gcurtis79
Ok, I cheated, I ran 'emerge --ask --nodeps -u bash' and then 'emerge --ask --nodeps portage' and went on from there.

Now it's happily going through an 'emerge --ask -Du world' and I'm going to bed...

Again, nice installer, I've always preferred Gentoo.

-Greg C, <pSy>

Re: emerge portage failure

Posted: Sat Jan 31, 2009 1:47 am
by rbsfou
I did this by emerging bash and portage one version increment at a time...eventually i had the right version of bash to get the new portage, and magic was happy....

Was all unnecesary as you have found out as we now have a new release :) Hope ShallaX carries on the good work :)